PreviousTwoMapFeatureGenerator (Apache OpenNLP Tools 1.9.5 API)
Date: 2026-06-18

opennlp.tools.util.featuregen

## Class PreviousTwoMapFeatureGenerator

- java.lang.Object
- - opennlp.tools.util.featuregen.PreviousTwoMapFeatureGenerator

- All Implemented Interfaces:
    AdaptiveFeatureGenerator

      public class PreviousTwoMapFeatureGenerator
      extends Object
      implements AdaptiveFeatureGenerator

  This `AdaptiveFeatureGenerator` generates features indicating the outcome associated with two previously occuring words.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PreviousTwoMapFeatureGenerator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clearAdaptiveData()` Clears the previous map.
    `void` | `createFeatures(List<String> features, String[] tokens, int index, String[] preds)` Generates previous decision features for the token based on contents of the previous map.
    `void` | `updateAdaptiveData(String[] tokens, String[] outcomes)` Informs the feature generator that the specified tokens have been classified with the corresponding set of specified outcomes.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PreviousTwoMapFeatureGenerator

          public PreviousTwoMapFeatureGenerator()

  - ### Method Detail

    - #### createFeatures

          public void createFeatures(List<String> features,
                                     String[] tokens,
                                     int index,
                                     String[] preds)

      Generates previous decision features for the token based on contents of the previous map.
      Specified by:
        `createFeatures` in interface `AdaptiveFeatureGenerator`
      Parameters:
        `features` - The list of features to be added to.
        `tokens` - The tokens of the sentence or other text unit being processed.
        `index` - The index of the token which is currently being processed.
        `preds` - The outcomes for the tokens prior to the specified index.

    - #### updateAdaptiveData

          public void updateAdaptiveData(String[] tokens,
                                         String[] outcomes)

      Description copied from interface: `AdaptiveFeatureGenerator`
      Informs the feature generator that the specified tokens have been classified with the corresponding set of specified outcomes.
      Specified by:
        `updateAdaptiveData` in interface `AdaptiveFeatureGenerator`
      Parameters:
        `tokens` - The tokens of the sentence or other text unit which has been processed.
        `outcomes` - The outcomes associated with the specified tokens.

    - #### clearAdaptiveData

          public void clearAdaptiveData()

      Clears the previous map.
      Specified by:
        `clearAdaptiveData` in interface `AdaptiveFeatureGenerator`

Copyright © 2026 The Apache Software Foundation. All rights reserved.